Name:		gcdemu
Version:	2.0.0
Summary:	GTK+ based GUI for controlling CDEmu daemon
Release:	%mkrel 2
Source:		http://downloads.sourceforge.net/cdemu/%{name}-%{version}.tar.bz2
Group:		Emulators
License:	GPLv2+
URL:		http://cdemu.sourceforge.net/
BuildArch:	noarch
BuildRequires:	python
BuildRequires:	libGConf2-devel
BuildRequires:	intltool
BuildRequires:	cmake
# for cdemu daemon interface v3
Requires:	cdemu-daemon >= 1.5.0
Requires:	python-gi
Requires:	typelib(Notify) >= 0.7
Requires:	typelib(Gtk) >= 3.0
Requires:	typelib(GLib)
Requires:	typelib(GObject)
Requires:	typelib(GdkPixbuf)
Requires:	typelib(Gio)

%description
This is gCDEmu, a Gtk+ based GUI for controlling CDEmu daemon. It is part of the
userspace-cdemu suite, a free, GPL CD/DVD-ROM device emulator for linux.

It provides a graphic interface that allows performing the key tasks related to
controlling the CDEmu daemon, such as loading and unloading devices, displaying
devices' status and retrieving/setting devices' debug masks.

In addition, it listens to signals emitted by CDEmu daemon and provides
notifications via libnotify.

%prep
%setup -q

%build
%cmake
%make

%install
pushd build
%makeinstall_std
popd

%find_lang %name

%pre
# drop previously used schema file, from %%preun_uninstall_gconf_schemas:
if [ -e %{_sysconfdir}/gconf/schemas/gcdemu.schemas -a -x %{_gconftool_bin} ]; then
	GCONF_CONFIG_SOURCE=`%{_gconftool_bin} --get-default-source` %{_gconftool_bin} --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gcdemu.schemas > /dev/null || true
fi

%files -f %name.lang
%defattr(-,root,root)
%doc README AUTHORS
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}*.svg
%{_datadir}/glib-2.0/schemas/net.sf.cdemu.gcdemu.gschema.xml


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 2.0.0-2.mga3
+ Revision: 351103
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 28 2012 mitya <mitya> 2.0.0-1.mga3
+ Revision: 335804
- New version 2.0.0

* Tue Mar 06 2012 anssi <anssi> 1.5.0-1.mga2
+ Revision: 220446
- new version 1.5.0
- adapt dependencies for new GObject bindings
- add typelib dependencies manually to workaround mgabz#4825
- new version
  o now a standalone application instead of GNOME applet
    (summary, description, dependencies, and file list updated accordingly)

* Mon Jan 17 2011 pterjan <pterjan> 1.3.0-4.mga1
+ Revision: 21329
- Rebuild for python 2.7

* Sun Jan 16 2011 anssi <anssi> 1.3.0-3.mga1
+ Revision: 20061
- remove old post script
- run schemas script in preun
- imported package gcdemu

